diff options
author | Vratko Polak <vrpolak@cisco.com> | 2020-11-26 10:25:06 +0100 |
---|---|---|
committer | Vratko Polak <vrpolak@cisco.com> | 2020-12-02 19:09:37 +0000 |
commit | 523c6e6e24101206ff1318ca17c310dff8b3c9d2 (patch) | |
tree | 26cb4926311b615b6b1c85e5350a9b7d79a9b4b5 /resources/libraries/bash/function/per_patch.sh | |
parent | d6af9d72acaca4dff70dce1b55dcc03f73061c7b (diff) |
Avoid ci-management archiving files twice
This is a follow-up to https://gerrit.fd.io/r/c/csit/+/20394
https://gerrit.fd.io/r/20119
has changed the way archival works,
everything should now go to logs.fd.io
(instead of appearing on run page in jenkins.fd.io).
The glob pattern for archiving is quite eager,
doing recursive search. That is good, as it can find
also misplaced useful outputs.
But it also means our usage of copy_archives function
creates two copies of archived directtories,
usually archives/ and archives/archive/.
This change renames copy_archives to move_archives,
with few workarounds to support multiple calls.
I also renamed ARCHIVE_DIR value from $CSIT_DIR/archive
to $CSIT_DIR/archives to make "move" operation look natural.
Finally, download_builds function is being removed,
as after recent improvements to VPP compilation speed
nobody seems to be using it.
Change-Id: I19a429e1dfdfaab7fcf32a9609963b1aebd33c6c
Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'resources/libraries/bash/function/per_patch.sh')
-rw-r--r-- | resources/libraries/bash/function/per_patch.sh | 31 |
1 files changed, 1 insertions, 30 deletions
diff --git a/resources/libraries/bash/function/per_patch.sh b/resources/libraries/bash/function/per_patch.sh index 8b97780cec..43a3f971bf 100644 --- a/resources/libraries/bash/function/per_patch.sh +++ b/resources/libraries/bash/function/per_patch.sh @@ -128,39 +128,10 @@ function compare_test_results () { } -function download_builds () { - - # This is mostly useful only for Sandbox testing, to avoid recompilation. - # - # Arguments: - # - ${1} - URL to download VPP builds from. - # Variables read: - # - VPP_DIR - Path to WORKSPACE, parent of created directories. - # Directories created: - # - archive - Ends up empty, not to be confused with ${ARCHIVE_DIR}. - # - build_current - Holding built artifacts of the patch under test (PUT). - # - built_parent - Holding built artifacts of parent of PUT. - # Functions called: - # - die - Print to stderr and exit, defined in common.sh +function initialize_csit_dirs () { set -exuo pipefail - cd "${VPP_DIR}" || die "Change directory operation failed." - dirs=("build-root" "build_parent" "build_current" "archive" "csit_current") - rm -rf ${dirs[@]} || { - die "Directory removal failed." - } - wget -N --progress=dot:giga "${1}" || die "Wget download failed." - unzip "archive.zip" || die "Archive extraction failed." - mv "archive/build_parent" ./ || die "Move operation failed." - mv "archive/build_current" ./ || die "Move operation failed." -} - - -function initialize_csit_dirs () { - - # This could be in prepare_test, but download_builds also needs this. - # # Variables read: # - VPP_DIR - Path to WORKSPACE, parent of created directories. # Directories created: |